## imx-gpu-sdk-b16-wl 4.0.2

=== Makefile ===
# Makefile for imx-gpu-sdk
# -*- indent-tabs-mode: t; tab-width: 3 -*-

INVERSE=1
NONINVERSE=0
#usage: $(call message,<text>,<tabs>,<color>,<inverse>)
define message
	( if [ -z $(NOCOLOR) ] ; then echo -ne "\e[$(3)m" ; fi ; \
	if [ "$(4)" = "$(INVERSE)" ] ; then if [ -z $(NOCOLOR) ] ; then echo -ne "\e[7m" ; fi ; echo -n ">>>" ; fi ; \
	if [ "$(2)" -gt 0 ] && [ "$(2)" -lt 10 ] ; then for a in `seq "$(2)"` ; do echo -n "   " ; done ; fi ; \
 	echo -n " $(1) " ; \
	if [ "$(4)" = "$(INVERSE)" ] ; then echo -n "<<<" ; if [ -z $(NOCOLOR) ] ; then echo -ne "\e[27m" ; fi ; fi ; \
	echo ; \
	if [ -z $(NOCOLOR) ] ; then echo -ne "\e[39m" ; fi ; \
	)
endef

SHELL = /bin/bash
export FSL_GRAPHICS_SDK=$(shell pwd)

JOBS := $(shell echo $$((1 + `getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1`)))



## Framework

PROJECTS += DemoFramework/FslAssimp
PROJECTS += DemoFramework/FslBase
PROJECTS += DemoFramework/FslDemoApp
PROJECTS += DemoFramework/FslDemoAppConsole
#PROJECTS += DemoFramework/FslDemoAppG2D
PROJECTS += DemoFramework/FslDemoAppGLES2
PROJECTS += DemoFramework/FslDemoAppGLES3
PROJECTS += DemoFramework/FslDemoAppOpenCL
PROJECTS += DemoFramework/FslDemoAppStub
PROJECTS += DemoFramework/FslDemoAppVG
PROJECTS += DemoFramework/FslDemoAppWindow
PROJECTS += DemoFramework/FslDemoHost
PROJECTS += DemoFramework/FslDemoHostConsole
PROJECTS += DemoFramework/FslDemoHostEGL
PROJECTS += DemoFramework/FslDemoHostStub
PROJECTS += DemoFramework/FslDemoHostWindow
PROJECTS += DemoFramework/FslDemoPlatform
PROJECTS += DemoFramework/FslGraphics
PROJECTS += DemoFramework/FslGraphics3D
PROJECTS += DemoFramework/FslGraphics_Draft
PROJECTS += DemoFramework/FslGraphicsEGL
PROJECTS += DemoFramework/FslGraphicsGLES2
PROJECTS += DemoFramework/FslGraphicsGLES3
PROJECTS += DemoFramework/FslGraphicsVG
#PROJECTS += DemoFramework/FslNativeGraphicsG2D
PROJECTS += DemoFramework/FslNativeGraphicsGLES2
PROJECTS += DemoFramework/FslNativeGraphicsGLES3
PROJECTS += DemoFramework/FslNativeGraphicsStub
PROJECTS += DemoFramework/FslNativeGraphicsVG
PROJECTS += DemoFramework/FslNativeWindow
PROJECTS += DemoFramework/FslNativeWindowEGL
PROJECTS += DemoFramework/FslNativeWindowPlatform
PROJECTS += DemoFramework/FslSceneFormat
PROJECTS += DemoFramework/FslSimpleUI
PROJECTS += DemoFramework/FslSimpleUIApp
PROJECTS += DemoFramework/FslUtilOpenCL
PROJECTS += DemoFramework/FslUtilOpenCL1_1

#PROJECTS += DemoFramework/FslDemoAppOpenVX
#PROJECTS += DemoFramework/FslDemoAppVulkan
#PROJECTS += DemoFramework/FslDemoHostVulkan
#PROJECTS += DemoFramework/FslGraphicsGLES3_1
#PROJECTS += DemoFramework/FslGraphicsVulkan1_0
#PROJECTS += DemoFramework/FslNativeGraphicsVulkan
#PROJECTS += DemoFramework/FslNativeWindowVulkan
#PROJECTS += DemoFramework/FslUtilOpenCL1_2
#PROJECTS += DemoFramework/FslUtilOpenVX
#PROJECTS += DemoFramework/FslUtilOpenVX1_0_1
#PROJECTS += DemoFramework/FslUtilOpenVX1_1

## ThirdParty

PROJECTS += ThirdParty/Mmdc
#PROJECTS += ThirdParty/G2DEmulation

## Shared

PROJECTS += DemoApps/Shared/BloomShared
PROJECTS += DemoApps/Shared/DFGraphicsBasic2DShared
PROJECTS += DemoApps/Shared/DFNativeBatch2DShared
PROJECTS += DemoApps/Shared/DFSimpleUI101Shared
PROJECTS += DemoApps/Shared/EnvironmentMappingShared
PROJECTS += DemoApps/Shared/FractalShaderShared

#PROJECTS += DemoApps/Shared/VulkanExperimental
#PROJECTS += DemoApps/Shared/VulkanWillemsDemoAppExperimental
#PROJECTS += DemoApps/Shared/VulkanWillemsMeshDemoAppExperimental
#PROJECTS += DemoApps/Shared/VulkanWindowExperimental

## Console

PROJECTS += DemoApps/Console/Console101

## G2D

#PROJECTS += DemoApps/G2D/DFGraphicsBasic2D
#PROJECTS += DemoApps/G2D/EightLayers

## GLES2

PROJECTS += DemoApps/GLES2/Blur
PROJECTS += DemoApps/GLES2/DeBayer
PROJECTS += DemoApps/GLES2/DFGraphicsBasic2D
PROJECTS += DemoApps/GLES2/DFNativeBatch2D
PROJECTS += DemoApps/GLES2/DFSimpleUI100
PROJECTS += DemoApps/GLES2/DFSimpleUI101
PROJECTS += DemoApps/GLES2/EightLayerBlend
PROJECTS += DemoApps/GLES2/FractalShader
PROJECTS += DemoApps/GLES2/InputEvents
PROJECTS += DemoApps/GLES2/S01_SimpleTriangle
PROJECTS += DemoApps/GLES2/S02_ColoredTriangle
PROJECTS += DemoApps/GLES2/S03_Transform
PROJECTS += DemoApps/GLES2/S04_Projection
PROJECTS += DemoApps/GLES2/S06_Texturing
PROJECTS += DemoApps/GLES2/S07_EnvironmentMapping
PROJECTS += DemoApps/GLES2/S08_EnvironmentMappingRefraction
PROJECTS += DemoApps/GLES2/T3DStressTest
PROJECTS += DemoApps/GLES2/VIVDirectTextureMultiSampling

#PROJECTS += DemoApps/GLES2/OpenCV101
#PROJECTS += DemoApps/GLES2/S05_PrecompiledShader
#PROJECTS += DemoApps/GLES2/DirectMultiSamplingVideoYUV
#PROJECTS += DemoApps/GLES2/S09_VIV_direct_texture

## GLES3

PROJECTS += DemoApps/GLES3/D1_1_VBOs
PROJECTS += DemoApps/GLES3/D1_2_VAOs
PROJECTS += DemoApps/GLES3/DFGraphicsBasic2D
PROJECTS += DemoApps/GLES3/DFNativeBatch2D
PROJECTS += DemoApps/GLES3/DFSimpleUI100
PROJECTS += DemoApps/GLES3/DFSimpleUI101
PROJECTS += DemoApps/GLES3/E1_1_VBOs
PROJECTS += DemoApps/GLES3/E1_2_VAOs
PROJECTS += DemoApps/GLES3/E2_1_CopyBuffer
PROJECTS += DemoApps/GLES3/E3_0_InstancingSimple
PROJECTS += DemoApps/GLES3/E4_0_PRestart
PROJECTS += DemoApps/GLES3/E6_0_MultipleRenderTargets
PROJECTS += DemoApps/GLES3/E7_0_ParticleSystem
PROJECTS += DemoApps/GLES3/FractalShader
PROJECTS += DemoApps/GLES3/FurShellRendering
PROJECTS += DemoApps/GLES3/OpenCL101
PROJECTS += DemoApps/GLES3/OpenCLGaussianFilter
PROJECTS += DemoApps/GLES3/ParticleSystem
PROJECTS += DemoApps/GLES3/S01_SimpleTriangle
PROJECTS += DemoApps/GLES3/S02_ColoredTriangle
PROJECTS += DemoApps/GLES3/S03_Transform
PROJECTS += DemoApps/GLES3/S04_Projection
PROJECTS += DemoApps/GLES3/S06_Texturing
PROJECTS += DemoApps/GLES3/S07_EnvironmentMapping
PROJECTS += DemoApps/GLES3/S08_EnvironmentMappingRefraction
PROJECTS += DemoApps/GLES3/SpringBackground
PROJECTS += DemoApps/GLES3/T3DStressTest
PROJECTS += DemoApps/GLES3/VerletIntegration101

#PROJECTS += DemoApps/GLES3/OpenCV101
#PROJECTS += DemoApps/GLES3/OpenVX101
#PROJECTS += DemoApps/GLES3/S05_PrecompiledShader
#PROJECTS += DemoApps/GLES3/S09_VIV_direct_texture
#PROJECTS += DemoApps/GLES3/DirectMultiSamplingVideoYUV
#PROJECTS += DemoApps/GLES3/Tessellation101
#PROJECTS += DemoApps/GLES3/TessellationSample

## OpenCL

PROJECTS += DemoApps/OpenCL/FastFourierTransform
PROJECTS += DemoApps/OpenCL/Info

## OpenCV

#PROJECTS += DemoApps/OpenCV/OpenCV101_V2_4
#PROJECTS += DemoApps/OpenCV/OpenCV101_V3_1
#PROJECTS += DemoApps/OpenCV/OpenCV102_V3_1

## OpenVG

PROJECTS += DemoApps/OpenVG/BitmapFont
PROJECTS += DemoApps/OpenVG/CoverFlow
PROJECTS += DemoApps/OpenVG/DFGraphicsBasic2D
PROJECTS += DemoApps/OpenVG/Example1
PROJECTS += DemoApps/OpenVG/Example2
PROJECTS += DemoApps/OpenVG/Example3
PROJECTS += DemoApps/OpenVG/SimpleBench
PROJECTS += DemoApps/OpenVG/VGStressTest

## OpenVX

#PROJECTS += DemoApps/OpenVX/VxTutorial1

## Vulkan

#PROJECTS += DemoApps/Vulkan/ComputeParticles
#PROJECTS += DemoApps/Vulkan/DisplacementMapping
#PROJECTS += DemoApps/Vulkan/DynamicTerrainTessellation
#PROJECTS += DemoApps/Vulkan/Gears
#PROJECTS += DemoApps/Vulkan/MeshInstancing
#PROJECTS += DemoApps/Vulkan/TessellationPNTriangles
#PROJECTS += DemoApps/Vulkan/Texturing
#PROJECTS += DemoApps/Vulkan/TexturingArrays
#PROJECTS += DemoApps/Vulkan/TexturingCubeMap
#PROJECTS += DemoApps/Vulkan/Triangle
#PROJECTS += DemoApps/Vulkan/Vulkan101
#PROJECTS += DemoApps/Vulkan/VulkanComputeMandelbrot

## Window

PROJECTS += DemoApps/Window/InputEvents
#PROJECTS += DemoApps/Window/VulkanTriangle
PROJECTS += DemoApps/Window/Window101





all:
	@(for PROJECT in $(PROJECTS) ; do \
		$(call message,"building $${PROJECT} for Wayland",0,34,1) && \
		EGLBackend=Wayland WindowSystem=Wayland  $(MAKE) -j $(JOBS) -C $${PROJECT} all ; \
	done)


install:
	@(for PROJECT in $(PROJECTS) ; do \
		$(call message,"installing $${PROJECT} for Wayland",0,34,1) && \
		EGLBackend=Wayland WindowSystem=Wayland  $(MAKE) -j $(JOBS) -C $${PROJECT} install ; \
	done)

=== DemoFramework/FslAssimp/Makefile ===
# AUTOGENERATED by FslBuildGen 
# Any manual changes to it will be lost if its regenerated.
#
# Please modify the 'Fsl.gen' file instead
#
# You may define standard make variables such as CFLAGS or
# CXXFLAGS to affect the build. For example, you could use:
#
#      make CXXFLAGS=-g
#
# to build with debug information. The full list of variables
# that can be used by this makefile is:
# AR, CC, CFLAGS, CPPFLAGS, CXX, CXXFLAGS, LD, LDFLAGS, MAKE, RANLIB.

# You may also specify config=Debug|Release
# or their corresponding lower case variants on make command line to select
# the corresponding default flags values.

TARGET_NAME=libFslAssimp

SOURCES=\
  source/FslAssimp/MeshHelper.cpp \
  source/FslAssimp/MeshImporter.cpp \
  source/FslAssimp/SceneHelper.cpp \
  source/FslAssimp/SceneImporter.cpp 

INCLUDE_DIRS=\
  include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslBase/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphics/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphics3D/include

CPP_DEFINE_FLAG_NAMES=\
  FSL_ENABLE_ASSIMP

# Stuff below is basically the same for all builds

SHELL = /bin/sh

CC  ?= $(CROSS_COMPILE)gcc
AR  ?= $(CROSS_COMPILE)ar
CXX ?= $(CROSS_COMPILE)g++

# Default to a release build
config ?= Release
 
ifeq ($(config),debug)
override config := Debug
endif
ifeq ($(config),release)
override config := Release
endif
ifeq ($(config),Debug)
TARGET_POSTFIX=_d
CPPFLAGS += $(CPPFLAGS_EXT) -DDEBUG -D_DEBUG
CFLAGS   += $(CFLAGS_EXT) -g -O0
CXXFLAGS += $(CXXFLAGS_EXT) -g -O0
LDFLAGS  += $(LDFLAGS_EXT) -g
else ifeq ($(config),Release)
TARGET_POSTFIX=
CPPFLAGS += $(CPPFLAGS_EXT) -DNDEBUG
CFLAGS   += $(CFLAGS_EXT) -O3
CXXFLAGS += $(CXXFLAGS_EXT) -O3
LDFLAGS  += $(LDFLAGS_EXT)
else ifneq (,$(config))
$(warning Unknown configuration "$(config)")
endif
# Use "make RANLIB=''" for platforms without ranlib.
RANLIB ?= ranlib



VIVANTE_PATH_INCLUDE = $(SYSROOT)/usr/include/vivante
TARGET_PATH_INCLUDE  = $(SYSROOT)/usr/include

OBJ_PATH=build/Yocto/obj/$(config)

TARGET=$(OBJ_PATH)/$(TARGET_NAME)$(TARGET_POSTFIX).a
OBJECTS = $(patsubst %.cpp,$(OBJ_PATH)/%.o,$(SOURCES)) 
OBJECTS_DEPS = $(OBJECTS:.o=.d)
INCLUDE_DIR_PARAMS=$(foreach d,$(INCLUDE_DIRS),-I$d)
CPP_DEFINE_FLAG_PARAMS=$(foreach d,$(CPP_DEFINE_FLAG_NAMES),-D$d)

REQUIRED_CXX_FLAGS = -Wall -Wtype-limits -Wuninitialized -fPIC -DPIC -std=c++11 -g $(CPP_DEFINE_FLAG_PARAMS) -pthread -DFSL_PLATFORM_UBUNTU
#REQUIRED_CXX_FLAGS += -mfpu=vfpv3-d16
REQUIRED_CXX_FLAGS += -fno-strict-aliasing -fno-optimize-sibling-calls
REQUIRED_CXX_FLAGS += $(CFLAGS_EGL)
REQUIRED_CXX_FLAGS += -DLINUX
REQUIRED_CXX_FLAGS += \
	-I$(VIVANTE_PATH_INCLUDE) \
	-I$(TARGET_PATH_INCLUDE) \
	-I$(COMMON_DIR)/inc

  
all: $(TARGET)

# $@ for the pattern-matched target
$(TARGET): $(OBJECTS)
	$(AR) Urcu $@ $(OBJECTS)
	$(RANLIB) $@

# Simple rule used for "cleaning" the build environment.
clean:
	@-rm -f $(OBJECTS)
	@-rm -f $(OBJECTS_DEPS)
	@-rm -f $(TARGET)
	@-rm -f gmon.out

install: all
	@echo ok
  
# Pattern Rule
# $@ for the pattern-matched target
# $< for the pattern-matched dependency
$(OBJ_PATH)/%.o : %.cpp
	@mkdir -p $(@D)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) -o $@ -c $<

# All this is apparently needed for proper Autodependencies with GNU make
$(OBJ_PATH)/%.d: %.cpp
	@mkdir -p $(@D)
	@rm -f $@;
	@$(CXX) -M $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) $< > $@
	@mv -f $@ $@.tmp
	@sed -e 's|.*:|$(@D)/$(*F).o:|' < $@.tmp > $@
	@sed -e 's/.*://' -e 's/\\$$//' < $@.tmp | fmt -1 | sed -e 's/^ *//' -e 's/$$/:/' >> $@
	@rm -f $@.tmp
	
# pull in dependency info for *existing* .o files
-include $(OBJECTS_DEPS)
	
.PHONY : all clean

=== DemoFramework/FslBase/Makefile ===
# AUTOGENERATED by FslBuildGen 
# Any manual changes to it will be lost if its regenerated.
#
# Please modify the 'Fsl.gen' file instead
#
# You may define standard make variables such as CFLAGS or
# CXXFLAGS to affect the build. For example, you could use:
#
#      make CXXFLAGS=-g
#
# to build with debug information. The full list of variables
# that can be used by this makefile is:
# AR, CC, CFLAGS, CPPFLAGS, CXX, CXXFLAGS, LD, LDFLAGS, MAKE, RANLIB.

# You may also specify config=Debug|Release
# or their corresponding lower case variants on make command line to select
# the corresponding default flags values.

TARGET_NAME=libFslBase

SOURCES=\
  source/FslBase/Bits/ByteArrayUtil.cpp \
  source/FslBase/Compression/ValueCompression.cpp \
  source/FslBase/Getopt/Option.cpp \
  source/FslBase/Getopt/OptionParser.cpp \
  source/FslBase/Getopt/OptionParserTCLAP.cpp \
  source/FslBase/IO/Directory.cpp \
  source/FslBase/IO/File.cpp \
  source/FslBase/IO/Path.cpp \
  source/FslBase/IO/PathWatcher.cpp \
  source/FslBase/Log/Logger.cpp \
  source/FslBase/Log/LogLocation.cpp \
  source/FslBase/Math/BoundingBox.cpp \
  source/FslBase/Math/BoundingFrustum.cpp \
  source/FslBase/Math/BoundingSphere.cpp \
  source/FslBase/Math/BoxF.cpp \
  source/FslBase/Math/Extent2D.cpp \
  source/FslBase/Math/Extent3D.cpp \
  source/FslBase/Math/MathHelper.cpp \
  source/FslBase/Math/Matrix.cpp \
  source/FslBase/Math/Matrix3.cpp \
  source/FslBase/Math/NineSlice.cpp \
  source/FslBase/Math/Plane.cpp \
  source/FslBase/Math/PlaneHelper.cpp \
  source/FslBase/Math/Quaternion.cpp \
  source/FslBase/Math/Ray.cpp \
  source/FslBase/Math/Rect.cpp \
  source/FslBase/Math/Rectangle.cpp \
  source/FslBase/Math/Rectangle2D.cpp \
  source/FslBase/Math/Rectangle3D.cpp \
  source/FslBase/Math/Vector2.cpp \
  source/FslBase/Math/Vector3.cpp \
  source/FslBase/Math/Vector4.cpp \
  source/FslBase/Math/Viewport.cpp \
  source/FslBase/RTTI/TypeInfo.cpp \
  source/FslBase/String/StringParseUtil.cpp \
  source/FslBase/String/StringUtil.cpp \
  source/FslBase/String/UTF8String.cpp \
  source/FslBase/System/HighResolutionTimer.cpp \
  source/FslBase/System/Platform/All/ScopedSystemMemoryAccessDummy.cpp \
  source/FslBase/System/Platform/Linux/PlatformFileSystemLinux.cpp \
  source/FslBase/System/Platform/Linux/ScopedSystemMemoryAccessLinux.cpp \
  source/FslBase/System/Platform/PlatformLinux.cpp \
  source/FslBase/System/Platform/PlatformQNX.cpp \
  source/FslBase/System/Platform/PlatformWin32.cpp \
  source/FslBase/System/Platform/pthread/PlatformThreadPThread.cpp \
  source/FslBase/System/Platform/QNX/PlatformFileSystemQNX.cpp \
  source/FslBase/System/Platform/QNX/ScopedSystemMemoryAccessQNX.cpp \
  source/FslBase/System/Platform/SystemMemoryAccess.cpp \
  source/FslBase/System/Platform/Win32/PlatformFileSystemWin32.cpp \
  source/FslBase/System/Platform/Win32/PlatformThreadWin32.cpp \
  source/FslBase/System/Threading/Thread.cpp \
  source/FslBase/Transition/TransitionCache.cpp \
  source/FslBase/Transition/TransitionTimeSpan.cpp \
  source/FslBase/Transition/TransitionTimeSpanHelper.cpp \
  source/FslBase/Transition/TransitionValue.cpp \
  source/FslBase/Transition/TransitionVector2.cpp 

INCLUDE_DIRS=\
  include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/tclap1_2_1/include

CPP_DEFINE_FLAG_NAMES=

# Stuff below is basically the same for all builds

SHELL = /bin/sh

CC  ?= $(CROSS_COMPILE)gcc
AR  ?= $(CROSS_COMPILE)ar
CXX ?= $(CROSS_COMPILE)g++

# Default to a release build
config ?= Release
 
ifeq ($(config),debug)
override config := Debug
endif
ifeq ($(config),release)
override config := Release
endif
ifeq ($(config),Debug)
TARGET_POSTFIX=_d
CPPFLAGS += $(CPPFLAGS_EXT) -DDEBUG -D_DEBUG
CFLAGS   += $(CFLAGS_EXT) -g -O0
CXXFLAGS += $(CXXFLAGS_EXT) -g -O0
LDFLAGS  += $(LDFLAGS_EXT) -g
else ifeq ($(config),Release)
TARGET_POSTFIX=
CPPFLAGS += $(CPPFLAGS_EXT) -DNDEBUG
CFLAGS   += $(CFLAGS_EXT) -O3
CXXFLAGS += $(CXXFLAGS_EXT) -O3
LDFLAGS  += $(LDFLAGS_EXT)
else ifneq (,$(config))
$(warning Unknown configuration "$(config)")
endif
# Use "make RANLIB=''" for platforms without ranlib.
RANLIB ?= ranlib



VIVANTE_PATH_INCLUDE = $(SYSROOT)/usr/include/vivante
TARGET_PATH_INCLUDE  = $(SYSROOT)/usr/include

OBJ_PATH=build/Yocto/obj/$(config)

TARGET=$(OBJ_PATH)/$(TARGET_NAME)$(TARGET_POSTFIX).a
OBJECTS = $(patsubst %.cpp,$(OBJ_PATH)/%.o,$(SOURCES)) 
OBJECTS_DEPS = $(OBJECTS:.o=.d)
INCLUDE_DIR_PARAMS=$(foreach d,$(INCLUDE_DIRS),-I$d)
CPP_DEFINE_FLAG_PARAMS=$(foreach d,$(CPP_DEFINE_FLAG_NAMES),-D$d)

REQUIRED_CXX_FLAGS = -Wall -Wtype-limits -Wuninitialized -fPIC -DPIC -std=c++11 -g $(CPP_DEFINE_FLAG_PARAMS) -pthread -DFSL_PLATFORM_UBUNTU
#REQUIRED_CXX_FLAGS += -mfpu=vfpv3-d16
REQUIRED_CXX_FLAGS += -fno-strict-aliasing -fno-optimize-sibling-calls
REQUIRED_CXX_FLAGS += $(CFLAGS_EGL)
REQUIRED_CXX_FLAGS += -DLINUX
REQUIRED_CXX_FLAGS += \
	-I$(VIVANTE_PATH_INCLUDE) \
	-I$(TARGET_PATH_INCLUDE) \
	-I$(COMMON_DIR)/inc

  
all: $(TARGET)

# $@ for the pattern-matched target
$(TARGET): $(OBJECTS)
	$(AR) Urcu $@ $(OBJECTS)
	$(RANLIB) $@

# Simple rule used for "cleaning" the build environment.
clean:
	@-rm -f $(OBJECTS)
	@-rm -f $(OBJECTS_DEPS)
	@-rm -f $(TARGET)
	@-rm -f gmon.out

install: all
	@echo ok
  
# Pattern Rule
# $@ for the pattern-matched target
# $< for the pattern-matched dependency
$(OBJ_PATH)/%.o : %.cpp
	@mkdir -p $(@D)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) -o $@ -c $<

# All this is apparently needed for proper Autodependencies with GNU make
$(OBJ_PATH)/%.d: %.cpp
	@mkdir -p $(@D)
	@rm -f $@;
	@$(CXX) -M $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) $< > $@
	@mv -f $@ $@.tmp
	@sed -e 's|.*:|$(@D)/$(*F).o:|' < $@.tmp > $@
	@sed -e 's/.*://' -e 's/\\$$//' < $@.tmp | fmt -1 | sed -e 's/^ *//' -e 's/$$/:/' >> $@
	@rm -f $@.tmp
	
# pull in dependency info for *existing* .o files
-include $(OBJECTS_DEPS)
	
.PHONY : all clean

=== DemoFramework/FslDemoApp/Makefile ===
# AUTOGENERATED by FslBuildGen 
# Any manual changes to it will be lost if its regenerated.
#
# Please modify the 'Fsl.gen' file instead
#
# You may define standard make variables such as CFLAGS or
# CXXFLAGS to affect the build. For example, you could use:
#
#      make CXXFLAGS=-g
#
# to build with debug information. The full list of variables
# that can be used by this makefile is:
# AR, CC, CFLAGS, CPPFLAGS, CXX, CXXFLAGS, LD, LDFLAGS, MAKE, RANLIB.

# You may also specify config=Debug|Release
# or their corresponding lower case variants on make command line to select
# the corresponding default flags values.

TARGET_NAME=libFslDemoApp

SOURCES=\
  source/FslDemoApp/AConsoleDemoApp.cpp \
  source/FslDemoApp/ADemoApp.cpp \
  source/FslDemoApp/ADemoOptionParser.cpp \
  source/FslDemoApp/DemoAppConfig.cpp \
  source/FslDemoApp/DemoAppFirewall.cpp \
  source/FslDemoApp/DemoTime.cpp \
  source/FslDemoApp/Host/DemoAppHostConfigEGL.cpp \
  source/FslDemoApp/Host/DemoAppHostConfigVulkan.cpp \
  source/FslDemoApp/Host/DemoAppHostConfigWindow.cpp \
  source/FslDemoApp/Host/DemoAppSetup.cpp \
  source/FslDemoApp/Host/DemoHostCustomWindowSystem.cpp \
  source/FslDemoApp/Host/DemoHostFeature.cpp \
  source/FslDemoApp/Host/DemoHostFeatureName.cpp \
  source/FslDemoApp/Host/DemoHostFeatureUtil.cpp \
  source/FslDemoApp/Service/Events/Basic/BasicEvent.cpp \
  source/FslDemoApp/Service/Events/Basic/KeyEvent.cpp \
  source/FslDemoApp/Service/Events/Basic/MouseButtonEvent.cpp \
  source/FslDemoApp/Service/Events/Basic/MouseMoveEvent.cpp \
  source/FslDemoApp/Service/Events/Basic/MouseWheelEvent.cpp \
  source/FslDemoApp/Service/Events/Basic/TimeStateEvent.cpp \
  source/FslDemoApp/Service/Keyboard/KeyboardState.cpp \
  source/FslDemoApp/Service/Mouse/MouseState.cpp \
  source/FslDemoApp/Service/Options/OptionParserId.cpp \
  source/FslDemoApp/Service/Options/Options.cpp \
  source/FslDemoApp/Service/Profiler/ProfilerCustomCounterDesc.cpp \
  source/FslDemoApp/Service/Profiler/ScopedProfilerCustomCounterHandle.cpp \
  source/FslDemoApp/Service/ServiceId.cpp \
  source/FslDemoApp/Service/ServiceProvider.cpp 

INCLUDE_DIRS=\
  include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslBase/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphics/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeWindow/include

CPP_DEFINE_FLAG_NAMES=

# Stuff below is basically the same for all builds

SHELL = /bin/sh

CC  ?= $(CROSS_COMPILE)gcc
AR  ?= $(CROSS_COMPILE)ar
CXX ?= $(CROSS_COMPILE)g++

# Default to a release build
config ?= Release
 
ifeq ($(config),debug)
override config := Debug
endif
ifeq ($(config),release)
override config := Release
endif
ifeq ($(config),Debug)
TARGET_POSTFIX=_d
CPPFLAGS += $(CPPFLAGS_EXT) -DDEBUG -D_DEBUG
CFLAGS   += $(CFLAGS_EXT) -g -O0
CXXFLAGS += $(CXXFLAGS_EXT) -g -O0
LDFLAGS  += $(LDFLAGS_EXT) -g
else ifeq ($(config),Release)
TARGET_POSTFIX=
CPPFLAGS += $(CPPFLAGS_EXT) -DNDEBUG
CFLAGS   += $(CFLAGS_EXT) -O3
CXXFLAGS += $(CXXFLAGS_EXT) -O3
LDFLAGS  += $(LDFLAGS_EXT)
else ifneq (,$(config))
$(warning Unknown configuration "$(config)")
endif
# Use "make RANLIB=''" for platforms without ranlib.
RANLIB ?= ranlib



VIVANTE_PATH_INCLUDE = $(SYSROOT)/usr/include/vivante
TARGET_PATH_INCLUDE  = $(SYSROOT)/usr/include

OBJ_PATH=build/Yocto/obj/$(config)

TARGET=$(OBJ_PATH)/$(TARGET_NAME)$(TARGET_POSTFIX).a
OBJECTS = $(patsubst %.cpp,$(OBJ_PATH)/%.o,$(SOURCES)) 
OBJECTS_DEPS = $(OBJECTS:.o=.d)
INCLUDE_DIR_PARAMS=$(foreach d,$(INCLUDE_DIRS),-I$d)
CPP_DEFINE_FLAG_PARAMS=$(foreach d,$(CPP_DEFINE_FLAG_NAMES),-D$d)

REQUIRED_CXX_FLAGS = -Wall -Wtype-limits -Wuninitialized -fPIC -DPIC -std=c++11 -g $(CPP_DEFINE_FLAG_PARAMS) -pthread -DFSL_PLATFORM_UBUNTU
#REQUIRED_CXX_FLAGS += -mfpu=vfpv3-d16
REQUIRED_CXX_FLAGS += -fno-strict-aliasing -fno-optimize-sibling-calls
REQUIRED_CXX_FLAGS += $(CFLAGS_EGL)
REQUIRED_CXX_FLAGS += -DLINUX
REQUIRED_CXX_FLAGS += \
	-I$(VIVANTE_PATH_INCLUDE) \
	-I$(TARGET_PATH_INCLUDE) \
	-I$(COMMON_DIR)/inc

  
all: $(TARGET)

# $@ for the pattern-matched target
$(TARGET): $(OBJECTS)
	$(AR) Urcu $@ $(OBJECTS)
	$(RANLIB) $@

# Simple rule used for "cleaning" the build environment.
clean:
	@-rm -f $(OBJECTS)
	@-rm -f $(OBJECTS_DEPS)
	@-rm -f $(TARGET)
	@-rm -f gmon.out

install: all
	@echo ok
  
# Pattern Rule
# $@ for the pattern-matched target
# $< for the pattern-matched dependency
$(OBJ_PATH)/%.o : %.cpp
	@mkdir -p $(@D)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) -o $@ -c $<

# All this is apparently needed for proper Autodependencies with GNU make
$(OBJ_PATH)/%.d: %.cpp
	@mkdir -p $(@D)
	@rm -f $@;
	@$(CXX) -M $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) $< > $@
	@mv -f $@ $@.tmp
	@sed -e 's|.*:|$(@D)/$(*F).o:|' < $@.tmp > $@
	@sed -e 's/.*://' -e 's/\\$$//' < $@.tmp | fmt -1 | sed -e 's/^ *//' -e 's/$$/:/' >> $@
	@rm -f $@.tmp
	
# pull in dependency info for *existing* .o files
-include $(OBJECTS_DEPS)
	
.PHONY : all clean

=== DemoFramework/FslDemoAppConsole/Makefile ===
# AUTOGENERATED by FslBuildGen 
# Any manual changes to it will be lost if its regenerated.
#
# Please modify the 'Fsl.gen' file instead
#
# You may define standard make variables such as CFLAGS or
# CXXFLAGS to affect the build. For example, you could use:
#
#      make CXXFLAGS=-g
#
# to build with debug information. The full list of variables
# that can be used by this makefile is:
# AR, CC, CFLAGS, CPPFLAGS, CXX, CXXFLAGS, LD, LDFLAGS, MAKE, RANLIB.

# You may also specify config=Debug|Release
# or their corresponding lower case variants on make command line to select
# the corresponding default flags values.

TARGET_NAME=libFslDemoAppConsole

SOURCES=\
  source/FslDemoAppConsole/DemoAppConsole.cpp \
  source/FslDemoAppConsole/Setup/RegisterDemoApp.cpp 

INCLUDE_DIRS=\
  include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslBase/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoApp/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHost/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHostStub/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoPlatform/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphics/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeGraphicsStub/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeWindow/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/gli/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/glm/include

CPP_DEFINE_FLAG_NAMES=\
  FSL_FEATURE_GLI \
  GLM_FORCE_DEPTH_ZERO_TO_ONE \
  GLM_FORCE_RADIANS

# Stuff below is basically the same for all builds

SHELL = /bin/sh

CC  ?= $(CROSS_COMPILE)gcc
AR  ?= $(CROSS_COMPILE)ar
CXX ?= $(CROSS_COMPILE)g++

# Default to a release build
config ?= Release
 
ifeq ($(config),debug)
override config := Debug
endif
ifeq ($(config),release)
override config := Release
endif
ifeq ($(config),Debug)
TARGET_POSTFIX=_d
CPPFLAGS += $(CPPFLAGS_EXT) -DDEBUG -D_DEBUG
CFLAGS   += $(CFLAGS_EXT) -g -O0
CXXFLAGS += $(CXXFLAGS_EXT) -g -O0
LDFLAGS  += $(LDFLAGS_EXT) -g
else ifeq ($(config),Release)
TARGET_POSTFIX=
CPPFLAGS += $(CPPFLAGS_EXT) -DNDEBUG
CFLAGS   += $(CFLAGS_EXT) -O3
CXXFLAGS += $(CXXFLAGS_EXT) -O3
LDFLAGS  += $(LDFLAGS_EXT)
else ifneq (,$(config))
$(warning Unknown configuration "$(config)")
endif
# Use "make RANLIB=''" for platforms without ranlib.
RANLIB ?= ranlib



VIVANTE_PATH_INCLUDE = $(SYSROOT)/usr/include/vivante
TARGET_PATH_INCLUDE  = $(SYSROOT)/usr/include

OBJ_PATH=build/Yocto/obj/$(config)

TARGET=$(OBJ_PATH)/$(TARGET_NAME)$(TARGET_POSTFIX).a
OBJECTS = $(patsubst %.cpp,$(OBJ_PATH)/%.o,$(SOURCES)) 
OBJECTS_DEPS = $(OBJECTS:.o=.d)
INCLUDE_DIR_PARAMS=$(foreach d,$(INCLUDE_DIRS),-I$d)
CPP_DEFINE_FLAG_PARAMS=$(foreach d,$(CPP_DEFINE_FLAG_NAMES),-D$d)

REQUIRED_CXX_FLAGS = -Wall -Wtype-limits -Wuninitialized -fPIC -DPIC -std=c++11 -g $(CPP_DEFINE_FLAG_PARAMS) -pthread -DFSL_PLATFORM_UBUNTU
#REQUIRED_CXX_FLAGS += -mfpu=vfpv3-d16
REQUIRED_CXX_FLAGS += -fno-strict-aliasing -fno-optimize-sibling-calls
REQUIRED_CXX_FLAGS += $(CFLAGS_EGL)
REQUIRED_CXX_FLAGS += -DLINUX
REQUIRED_CXX_FLAGS += \
	-I$(VIVANTE_PATH_INCLUDE) \
	-I$(TARGET_PATH_INCLUDE) \
	-I$(COMMON_DIR)/inc

  
all: $(TARGET)

# $@ for the pattern-matched target
$(TARGET): $(OBJECTS)
	$(AR) Urcu $@ $(OBJECTS)
	$(RANLIB) $@

# Simple rule used for "cleaning" the build environment.
clean:
	@-rm -f $(OBJECTS)
	@-rm -f $(OBJECTS_DEPS)
	@-rm -f $(TARGET)
	@-rm -f gmon.out

install: all
	@echo ok
  
# Pattern Rule
# $@ for the pattern-matched target
# $< for the pattern-matched dependency
$(OBJ_PATH)/%.o : %.cpp
	@mkdir -p $(@D)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) -o $@ -c $<

# All this is apparently needed for proper Autodependencies with GNU make
$(OBJ_PATH)/%.d: %.cpp
	@mkdir -p $(@D)
	@rm -f $@;
	@$(CXX) -M $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) $< > $@
	@mv -f $@ $@.tmp
	@sed -e 's|.*:|$(@D)/$(*F).o:|' < $@.tmp > $@
	@sed -e 's/.*://' -e 's/\\$$//' < $@.tmp | fmt -1 | sed -e 's/^ *//' -e 's/$$/:/' >> $@
	@rm -f $@.tmp
	
# pull in dependency info for *existing* .o files
-include $(OBJECTS_DEPS)
	
.PHONY : all clean

=== DemoFramework/FslDemoAppG2D/Makefile ===
# AUTOGENERATED by FslBuildGen 
# Any manual changes to it will be lost if its regenerated.
#
# Please modify the 'Fsl.gen' file instead
#
# You may define standard make variables such as CFLAGS or
# CXXFLAGS to affect the build. For example, you could use:
#
#      make CXXFLAGS=-g
#
# to build with debug information. The full list of variables
# that can be used by this makefile is:
# AR, CC, CFLAGS, CPPFLAGS, CXX, CXXFLAGS, LD, LDFLAGS, MAKE, RANLIB.

# You may also specify config=Debug|Release
# or their corresponding lower case variants on make command line to select
# the corresponding default flags values.

TARGET_NAME=libFslDemoAppG2D

SOURCES=\
  source/FslDemoAppG2D/DemoAppG2D.cpp \
  source/FslDemoAppG2D/Setup/RegisterDemoAppG2D.cpp 

INCLUDE_DIRS=\
  include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslBase/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoApp/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHost/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHostStub/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoPlatform/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphics/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeGraphicsG2D/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeWindow/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/gli/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/glm/include

CPP_DEFINE_FLAG_NAMES=\
  FSL_FEATURE_GLI \
  GLM_FORCE_DEPTH_ZERO_TO_ONE \
  GLM_FORCE_RADIANS

# Stuff below is basically the same for all builds

SHELL = /bin/sh

CC  ?= $(CROSS_COMPILE)gcc
AR  ?= $(CROSS_COMPILE)ar
CXX ?= $(CROSS_COMPILE)g++

# Default to a release build
config ?= Release
 
ifeq ($(config),debug)
override config := Debug
endif
ifeq ($(config),release)
override config := Release
endif
ifeq ($(config),Debug)
TARGET_POSTFIX=_d
CPPFLAGS += $(CPPFLAGS_EXT) -DDEBUG -D_DEBUG
CFLAGS   += $(CFLAGS_EXT) -g -O0
CXXFLAGS += $(CXXFLAGS_EXT) -g -O0
LDFLAGS  += $(LDFLAGS_EXT) -g
else ifeq ($(config),Release)
TARGET_POSTFIX=
CPPFLAGS += $(CPPFLAGS_EXT) -DNDEBUG
CFLAGS   += $(CFLAGS_EXT) -O3
CXXFLAGS += $(CXXFLAGS_EXT) -O3
LDFLAGS  += $(LDFLAGS_EXT)
else ifneq (,$(config))
$(warning Unknown configuration "$(config)")
endif
# Use "make RANLIB=''" for platforms without ranlib.
RANLIB ?= ranlib



VIVANTE_PATH_INCLUDE = $(SYSROOT)/usr/include/vivante
TARGET_PATH_INCLUDE  = $(SYSROOT)/usr/include

OBJ_PATH=build/Yocto/obj/$(config)

TARGET=$(OBJ_PATH)/$(TARGET_NAME)$(TARGET_POSTFIX).a
OBJECTS = $(patsubst %.cpp,$(OBJ_PATH)/%.o,$(SOURCES)) 
OBJECTS_DEPS = $(OBJECTS:.o=.d)
INCLUDE_DIR_PARAMS=$(foreach d,$(INCLUDE_DIRS),-I$d)
CPP_DEFINE_FLAG_PARAMS=$(foreach d,$(CPP_DEFINE_FLAG_NAMES),-D$d)

REQUIRED_CXX_FLAGS = -Wall -Wtype-limits -Wuninitialized -fPIC -DPIC -std=c++11 -g $(CPP_DEFINE_FLAG_PARAMS) -pthread -DFSL_PLATFORM_UBUNTU
#REQUIRED_CXX_FLAGS += -mfpu=vfpv3-d16
REQUIRED_CXX_FLAGS += -fno-strict-aliasing -fno-optimize-sibling-calls
REQUIRED_CXX_FLAGS += $(CFLAGS_EGL)
REQUIRED_CXX_FLAGS += -DLINUX
REQUIRED_CXX_FLAGS += \
	-I$(VIVANTE_PATH_INCLUDE) \
	-I$(TARGET_PATH_INCLUDE) \
	-I$(COMMON_DIR)/inc

  
all: $(TARGET)

# $@ for the pattern-matched target
$(TARGET): $(OBJECTS)
	$(AR) Urcu $@ $(OBJECTS)
	$(RANLIB) $@

# Simple rule used for "cleaning" the build environment.
clean:
	@-rm -f $(OBJECTS)
	@-rm -f $(OBJECTS_DEPS)
	@-rm -f $(TARGET)
	@-rm -f gmon.out

install: all
	@echo ok
  
# Pattern Rule
# $@ for the pattern-matched target
# $< for the pattern-matched dependency
$(OBJ_PATH)/%.o : %.cpp
	@mkdir -p $(@D)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) -o $@ -c $<

# All this is apparently needed for proper Autodependencies with GNU make
$(OBJ_PATH)/%.d: %.cpp
	@mkdir -p $(@D)
	@rm -f $@;
	@$(CXX) -M $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) $< > $@
	@mv -f $@ $@.tmp
	@sed -e 's|.*:|$(@D)/$(*F).o:|' < $@.tmp > $@
	@sed -e 's/.*://' -e 's/\\$$//' < $@.tmp | fmt -1 | sed -e 's/^ *//' -e 's/$$/:/' >> $@
	@rm -f $@.tmp
	
# pull in dependency info for *existing* .o files
-include $(OBJECTS_DEPS)
	
.PHONY : all clean

=== DemoFramework/FslDemoAppGLES2/Makefile ===
# AUTOGENERATED by FslBuildGen 
# Any manual changes to it will be lost if its regenerated.
#
# Please modify the 'Fsl.gen' file instead
#
# You may define standard make variables such as CFLAGS or
# CXXFLAGS to affect the build. For example, you could use:
#
#      make CXXFLAGS=-g
#
# to build with debug information. The full list of variables
# that can be used by this makefile is:
# AR, CC, CFLAGS, CPPFLAGS, CXX, CXXFLAGS, LD, LDFLAGS, MAKE, RANLIB.

# You may also specify config=Debug|Release
# or their corresponding lower case variants on make command line to select
# the corresponding default flags values.

TARGET_NAME=libFslDemoAppGLES2

SOURCES=\
  source/FslDemoAppGLES2/DemoAppGLES2.cpp \
  source/FslDemoAppGLES2/Setup/RegisterDemoAppGLES2.cpp 

INCLUDE_DIRS=\
  include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslBase/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoApp/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHost/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHostEGL/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoPlatform/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphics/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphicsEGL/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphicsGLES2/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeGraphicsGLES2/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeWindow/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/gli/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/glm/include

CPP_DEFINE_FLAG_NAMES=\
  FSL_FEATURE_GLI \
  GLM_FORCE_DEPTH_ZERO_TO_ONE \
  GLM_FORCE_RADIANS \
  FSL_ENABLE_GRAPHICS_ES2

# Stuff below is basically the same for all builds

SHELL = /bin/sh

CC  ?= $(CROSS_COMPILE)gcc
AR  ?= $(CROSS_COMPILE)ar
CXX ?= $(CROSS_COMPILE)g++

# Default to a release build
config ?= Release
 
ifeq ($(config),debug)
override config := Debug
endif
ifeq ($(config),release)
override config := Release
endif
ifeq ($(config),Debug)
TARGET_POSTFIX=_d
CPPFLAGS += $(CPPFLAGS_EXT) -DDEBUG -D_DEBUG
CFLAGS   += $(CFLAGS_EXT) -g -O0
CXXFLAGS += $(CXXFLAGS_EXT) -g -O0
LDFLAGS  += $(LDFLAGS_EXT) -g
else ifeq ($(config),Release)
TARGET_POSTFIX=
CPPFLAGS += $(CPPFLAGS_EXT) -DNDEBUG
CFLAGS   += $(CFLAGS_EXT) -O3
CXXFLAGS += $(CXXFLAGS_EXT) -O3
LDFLAGS  += $(LDFLAGS_EXT)
else ifneq (,$(config))
$(warning Unknown configuration "$(config)")
endif
# Use "make RANLIB=''" for platforms without ranlib.
RANLIB ?= ranlib

ifeq ($(WindowSystem),FB)
CPP_DEFINE_FLAG_NAMES+=\
  FSL_WINDOWSYSTEM_FRAMEBUFFER \
  EGL_API_FB

else ifeq ($(WindowSystem),Wayland)
CPP_DEFINE_FLAG_NAMES+=\
  FSL_WINDOWSYSTEM_WAYLAND \
  EGL_API_WL \
  EGL_API_FB

else ifeq ($(WindowSystem),X11)
CPP_DEFINE_FLAG_NAMES+=\
  FSL_WINDOWSYSTEM_X11 \
  EGL_USE_X11

else
$(error Variant WindowSystem not configured expected one of these FB, Wayland, X11)
endif


VIVANTE_PATH_INCLUDE = $(SYSROOT)/usr/include/vivante
TARGET_PATH_INCLUDE  = $(SYSROOT)/usr/include

OBJ_PATH=build/Yocto/obj_$(WindowSystem)/$(config)

TARGET=$(OBJ_PATH)/$(TARGET_NAME)$(TARGET_POSTFIX).a
OBJECTS = $(patsubst %.cpp,$(OBJ_PATH)/%.o,$(SOURCES)) 
OBJECTS_DEPS = $(OBJECTS:.o=.d)
INCLUDE_DIR_PARAMS=$(foreach d,$(INCLUDE_DIRS),-I$d)
CPP_DEFINE_FLAG_PARAMS=$(foreach d,$(CPP_DEFINE_FLAG_NAMES),-D$d)

REQUIRED_CXX_FLAGS = -Wall -Wtype-limits -Wuninitialized -fPIC -DPIC -std=c++11 -g $(CPP_DEFINE_FLAG_PARAMS) -pthread -DFSL_PLATFORM_UBUNTU
#REQUIRED_CXX_FLAGS += -mfpu=vfpv3-d16
REQUIRED_CXX_FLAGS += -fno-strict-aliasing -fno-optimize-sibling-calls
REQUIRED_CXX_FLAGS += $(CFLAGS_EGL)
REQUIRED_CXX_FLAGS += -DLINUX
REQUIRED_CXX_FLAGS += \
	-I$(VIVANTE_PATH_INCLUDE) \
	-I$(TARGET_PATH_INCLUDE) \
	-I$(COMMON_DIR)/inc

  
all: $(TARGET)

# $@ for the pattern-matched target
$(TARGET): $(OBJECTS)
	$(AR) Urcu $@ $(OBJECTS)
	$(RANLIB) $@

# Simple rule used for "cleaning" the build environment.
clean:
	@-rm -f $(OBJECTS)
	@-rm -f $(OBJECTS_DEPS)
	@-rm -f $(TARGET)
	@-rm -f gmon.out

install: all
	@echo ok
  
# Pattern Rule
# $@ for the pattern-matched target
# $< for the pattern-matched dependency
$(OBJ_PATH)/%.o : %.cpp
	@mkdir -p $(@D)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) -o $@ -c $<

# All this is apparently needed for proper Autodependencies with GNU make
$(OBJ_PATH)/%.d: %.cpp
	@mkdir -p $(@D)
	@rm -f $@;
	@$(CXX) -M $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) $< > $@
	@mv -f $@ $@.tmp
	@sed -e 's|.*:|$(@D)/$(*F).o:|' < $@.tmp > $@
	@sed -e 's/.*://' -e 's/\\$$//' < $@.tmp | fmt -1 | sed -e 's/^ *//' -e 's/$$/:/' >> $@
	@rm -f $@.tmp
	
# pull in dependency info for *existing* .o files
-include $(OBJECTS_DEPS)
	
.PHONY : all clean

=== DemoFramework/FslDemoAppGLES3/Makefile ===
# AUTOGENERATED by FslBuildGen 
# Any manual changes to it will be lost if its regenerated.
#
# Please modify the 'Fsl.gen' file instead
#
# You may define standard make variables such as CFLAGS or
# CXXFLAGS to affect the build. For example, you could use:
#
#      make CXXFLAGS=-g
#
# to build with debug information. The full list of variables
# that can be used by this makefile is:
# AR, CC, CFLAGS, CPPFLAGS, CXX, CXXFLAGS, LD, LDFLAGS, MAKE, RANLIB.

# You may also specify config=Debug|Release
# or their corresponding lower case variants on make command line to select
# the corresponding default flags values.

TARGET_NAME=libFslDemoAppGLES3

SOURCES=\
  source/FslDemoAppGLES3/DemoAppGLES3.cpp \
  source/FslDemoAppGLES3/Setup/RegisterDemoAppGLES3.cpp 

INCLUDE_DIRS=\
  include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslBase/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoApp/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHost/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHostEGL/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoPlatform/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphics/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphicsEGL/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphicsGLES3/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeGraphicsGLES3/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeWindow/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/gli/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/glm/include

CPP_DEFINE_FLAG_NAMES=\
  FSL_FEATURE_GLI \
  GLM_FORCE_DEPTH_ZERO_TO_ONE \
  GLM_FORCE_RADIANS \
  FSL_ENABLE_GRAPHICS_ES3

# Stuff below is basically the same for all builds

SHELL = /bin/sh

CC  ?= $(CROSS_COMPILE)gcc
AR  ?= $(CROSS_COMPILE)ar
CXX ?= $(CROSS_COMPILE)g++

# Default to a release build
config ?= Release
 
ifeq ($(config),debug)
override config := Debug
endif
ifeq ($(config),release)
override config := Release
endif
ifeq ($(config),Debug)
TARGET_POSTFIX=_d
CPPFLAGS += $(CPPFLAGS_EXT) -DDEBUG -D_DEBUG
CFLAGS   += $(CFLAGS_EXT) -g -O0
CXXFLAGS += $(CXXFLAGS_EXT) -g -O0
LDFLAGS  += $(LDFLAGS_EXT) -g
else ifeq ($(config),Release)
TARGET_POSTFIX=
CPPFLAGS += $(CPPFLAGS_EXT) -DNDEBUG
CFLAGS   += $(CFLAGS_EXT) -O3
CXXFLAGS += $(CXXFLAGS_EXT) -O3
LDFLAGS  += $(LDFLAGS_EXT)
else ifneq (,$(config))
$(warning Unknown configuration "$(config)")
endif
# Use "make RANLIB=''" for platforms without ranlib.
RANLIB ?= ranlib

ifeq ($(WindowSystem),FB)
CPP_DEFINE_FLAG_NAMES+=\
  FSL_WINDOWSYSTEM_FRAMEBUFFER \
  EGL_API_FB

else ifeq ($(WindowSystem),Wayland)
CPP_DEFINE_FLAG_NAMES+=\
  FSL_WINDOWSYSTEM_WAYLAND \
  EGL_API_WL \
  EGL_API_FB

else ifeq ($(WindowSystem),X11)
CPP_DEFINE_FLAG_NAMES+=\
  FSL_WINDOWSYSTEM_X11 \
  EGL_USE_X11

else
$(error Variant WindowSystem not configured expected one of these FB, Wayland, X11)
endif


VIVANTE_PATH_INCLUDE = $(SYSROOT)/usr/include/vivante
TARGET_PATH_INCLUDE  = $(SYSROOT)/usr/include

OBJ_PATH=build/Yocto/obj_$(WindowSystem)/$(config)

TARGET=$(OBJ_PATH)/$(TARGET_NAME)$(TARGET_POSTFIX).a
OBJECTS = $(patsubst %.cpp,$(OBJ_PATH)/%.o,$(SOURCES)) 
OBJECTS_DEPS = $(OBJECTS:.o=.d)
INCLUDE_DIR_PARAMS=$(foreach d,$(INCLUDE_DIRS),-I$d)
CPP_DEFINE_FLAG_PARAMS=$(foreach d,$(CPP_DEFINE_FLAG_NAMES),-D$d)

REQUIRED_CXX_FLAGS = -Wall -Wtype-limits -Wuninitialized -fPIC -DPIC -std=c++11 -g $(CPP_DEFINE_FLAG_PARAMS) -pthread -DFSL_PLATFORM_UBUNTU
#REQUIRED_CXX_FLAGS += -mfpu=vfpv3-d16
REQUIRED_CXX_FLAGS += -fno-strict-aliasing -fno-optimize-sibling-calls
REQUIRED_CXX_FLAGS += $(CFLAGS_EGL)
REQUIRED_CXX_FLAGS += -DLINUX
REQUIRED_CXX_FLAGS += \
	-I$(VIVANTE_PATH_INCLUDE) \
	-I$(TARGET_PATH_INCLUDE) \
	-I$(COMMON_DIR)/inc

  
all: $(TARGET)

# $@ for the pattern-matched target
$(TARGET): $(OBJECTS)
	$(AR) Urcu $@ $(OBJECTS)
	$(RANLIB) $@

# Simple rule used for "cleaning" the build environment.
clean:
	@-rm -f $(OBJECTS)
	@-rm -f $(OBJECTS_DEPS)
	@-rm -f $(TARGET)
	@-rm -f gmon.out

install: all
	@echo ok
  
# Pattern Rule
# $@ for the pattern-matched target
# $< for the pattern-matched dependency
$(OBJ_PATH)/%.o : %.cpp
	@mkdir -p $(@D)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) -o $@ -c $<

# All this is apparently needed for proper Autodependencies with GNU make
$(OBJ_PATH)/%.d: %.cpp
	@mkdir -p $(@D)
	@rm -f $@;
	@$(CXX) -M $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) $< > $@
	@mv -f $@ $@.tmp
	@sed -e 's|.*:|$(@D)/$(*F).o:|' < $@.tmp > $@
	@sed -e 's/.*://' -e 's/\\$$//' < $@.tmp | fmt -1 | sed -e 's/^ *//' -e 's/$$/:/' >> $@
	@rm -f $@.tmp
	
# pull in dependency info for *existing* .o files
-include $(OBJECTS_DEPS)
	
.PHONY : all clean

=== DemoFramework/FslDemoAppOpenCL/Makefile ===
# AUTOGENERATED by FslBuildGen 
# Any manual changes to it will be lost if its regenerated.
#
# Please modify the 'Fsl.gen' file instead
#
# You may define standard make variables such as CFLAGS or
# CXXFLAGS to affect the build. For example, you could use:
#
#      make CXXFLAGS=-g
#
# to build with debug information. The full list of variables
# that can be used by this makefile is:
# AR, CC, CFLAGS, CPPFLAGS, CXX, CXXFLAGS, LD, LDFLAGS, MAKE, RANLIB.

# You may also specify config=Debug|Release
# or their corresponding lower case variants on make command line to select
# the corresponding default flags values.

TARGET_NAME=libFslDemoAppOpenCL

SOURCES=\
  source/FslDemoAppOpenCL/DemoAppOpenCL.cpp \
  source/FslDemoAppOpenCL/Setup/RegisterDemoApp.cpp 

INCLUDE_DIRS=\
  include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslBase/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoApp/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHost/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHostConsole/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoPlatform/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphics/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeGraphicsStub/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeWindow/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/gli/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/glm/include

CPP_DEFINE_FLAG_NAMES=\
  FSL_FEATURE_GLI \
  GLM_FORCE_DEPTH_ZERO_TO_ONE \
  GLM_FORCE_RADIANS \
  FSL_FEATURE_OPENCL

# Stuff below is basically the same for all builds

SHELL = /bin/sh

CC  ?= $(CROSS_COMPILE)gcc
AR  ?= $(CROSS_COMPILE)ar
CXX ?= $(CROSS_COMPILE)g++

# Default to a release build
config ?= Release
 
ifeq ($(config),debug)
override config := Debug
endif
ifeq ($(config),release)
override config := Release
endif
ifeq ($(config),Debug)
TARGET_POSTFIX=_d
CPPFLAGS += $(CPPFLAGS_EXT) -DDEBUG -D_DEBUG
CFLAGS   += $(CFLAGS_EXT) -g -O0
CXXFLAGS += $(CXXFLAGS_EXT) -g -O0
LDFLAGS  += $(LDFLAGS_EXT) -g
else ifeq ($(config),Release)
TARGET_POSTFIX=
CPPFLAGS += $(CPPFLAGS_EXT) -DNDEBUG
CFLAGS   += $(CFLAGS_EXT) -O3
CXXFLAGS += $(CXXFLAGS_EXT) -O3
LDFLAGS  += $(LDFLAGS_EXT)
else ifneq (,$(config))
$(warning Unknown configuration "$(config)")
endif
# Use "make RANLIB=''" for platforms without ranlib.
RANLIB ?= ranlib



VIVANTE_PATH_INCLUDE = $(SYSROOT)/usr/include/vivante
TARGET_PATH_INCLUDE  = $(SYSROOT)/usr/include

OBJ_PATH=build/Yocto/obj/$(config)

TARGET=$(OBJ_PATH)/$(TARGET_NAME)$(TARGET_POSTFIX).a
OBJECTS = $(patsubst %.cpp,$(OBJ_PATH)/%.o,$(SOURCES)) 
OBJECTS_DEPS = $(OBJECTS:.o=.d)
INCLUDE_DIR_PARAMS=$(foreach d,$(INCLUDE_DIRS),-I$d)
CPP_DEFINE_FLAG_PARAMS=$(foreach d,$(CPP_DEFINE_FLAG_NAMES),-D$d)

REQUIRED_CXX_FLAGS = -Wall -Wtype-limits -Wuninitialized -fPIC -DPIC -std=c++11 -g $(CPP_DEFINE_FLAG_PARAMS) -pthread -DFSL_PLATFORM_UBUNTU
#REQUIRED_CXX_FLAGS += -mfpu=vfpv3-d16
REQUIRED_CXX_FLAGS += -fno-strict-aliasing -fno-optimize-sibling-calls
REQUIRED_CXX_FLAGS += $(CFLAGS_EGL)
REQUIRED_CXX_FLAGS += -DLINUX
REQUIRED_CXX_FLAGS += \
	-I$(VIVANTE_PATH_INCLUDE) \
	-I$(TARGET_PATH_INCLUDE) \
	-I$(COMMON_DIR)/inc

  
all: $(TARGET)

# $@ for the pattern-matched target
$(TARGET): $(OBJECTS)
	$(AR) Urcu $@ $(OBJECTS)
	$(RANLIB) $@

# Simple rule used for "cleaning" the build environment.
clean:
	@-rm -f $(OBJECTS)
	@-rm -f $(OBJECTS_DEPS)
	@-rm -f $(TARGET)
	@-rm -f gmon.out

install: all
	@echo ok
  
# Pattern Rule
# $@ for the pattern-matched target
# $< for the pattern-matched dependency
$(OBJ_PATH)/%.o : %.cpp
	@mkdir -p $(@D)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) -o $@ -c $<

# All this is apparently needed for proper Autodependencies with GNU make
$(OBJ_PATH)/%.d: %.cpp
	@mkdir -p $(@D)
	@rm -f $@;
	@$(CXX) -M $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) $< > $@
	@mv -f $@ $@.tmp
	@sed -e 's|.*:|$(@D)/$(*F).o:|' < $@.tmp > $@
	@sed -e 's/.*://' -e 's/\\$$//' < $@.tmp | fmt -1 | sed -e 's/^ *//' -e 's/$$/:/' >> $@
	@rm -f $@.tmp
	
# pull in dependency info for *existing* .o files
-include $(OBJECTS_DEPS)
	
.PHONY : all clean

=== DemoFramework/FslDemoAppStub/Makefile ===
# AUTOGENERATED by FslBuildGen 
# Any manual changes to it will be lost if its regenerated.
#
# Please modify the 'Fsl.gen' file instead
#
# You may define standard make variables such as CFLAGS or
# CXXFLAGS to affect the build. For example, you could use:
#
#      make CXXFLAGS=-g
#
# to build with debug information. The full list of variables
# that can be used by this makefile is:
# AR, CC, CFLAGS, CPPFLAGS, CXX, CXXFLAGS, LD, LDFLAGS, MAKE, RANLIB.

# You may also specify config=Debug|Release
# or their corresponding lower case variants on make command line to select
# the corresponding default flags values.

TARGET_NAME=libFslDemoAppStub

SOURCES=\
  source/FslDemoAppStub/DemoAppStub.cpp \
  source/FslDemoAppStub/Setup/RegisterDemoAppStub.cpp 

INCLUDE_DIRS=\
  include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslBase/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoApp/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHost/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHostStub/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoPlatform/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphics/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeGraphicsStub/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeWindow/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/gli/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/glm/include

CPP_DEFINE_FLAG_NAMES=\
  FSL_FEATURE_GLI \
  GLM_FORCE_DEPTH_ZERO_TO_ONE \
  GLM_FORCE_RADIANS

# Stuff below is basically the same for all builds

SHELL = /bin/sh

CC  ?= $(CROSS_COMPILE)gcc
AR  ?= $(CROSS_COMPILE)ar
CXX ?= $(CROSS_COMPILE)g++

# Default to a release build
config ?= Release
 
ifeq ($(config),debug)
override config := Debug
endif
ifeq ($(config),release)
override config := Release
endif
ifeq ($(config),Debug)
TARGET_POSTFIX=_d
CPPFLAGS += $(CPPFLAGS_EXT) -DDEBUG -D_DEBUG
CFLAGS   += $(CFLAGS_EXT) -g -O0
CXXFLAGS += $(CXXFLAGS_EXT) -g -O0
LDFLAGS  += $(LDFLAGS_EXT) -g
else ifeq ($(config),Release)
TARGET_POSTFIX=
CPPFLAGS += $(CPPFLAGS_EXT) -DNDEBUG
CFLAGS   += $(CFLAGS_EXT) -O3
CXXFLAGS += $(CXXFLAGS_EXT) -O3
LDFLAGS  += $(LDFLAGS_EXT)
else ifneq (,$(config))
$(warning Unknown configuration "$(config)")
endif
# Use "make RANLIB=''" for platforms without ranlib.
RANLIB ?= ranlib



VIVANTE_PATH_INCLUDE = $(SYSROOT)/usr/include/vivante
TARGET_PATH_INCLUDE  = $(SYSROOT)/usr/include

OBJ_PATH=build/Yocto/obj/$(config)

TARGET=$(OBJ_PATH)/$(TARGET_NAME)$(TARGET_POSTFIX).a
OBJECTS = $(patsubst %.cpp,$(OBJ_PATH)/%.o,$(SOURCES)) 
OBJECTS_DEPS = $(OBJECTS:.o=.d)
INCLUDE_DIR_PARAMS=$(foreach d,$(INCLUDE_DIRS),-I$d)
CPP_DEFINE_FLAG_PARAMS=$(foreach d,$(CPP_DEFINE_FLAG_NAMES),-D$d)

REQUIRED_CXX_FLAGS = -Wall -Wtype-limits -Wuninitialized -fPIC -DPIC -std=c++11 -g $(CPP_DEFINE_FLAG_PARAMS) -pthread -DFSL_PLATFORM_UBUNTU
#REQUIRED_CXX_FLAGS += -mfpu=vfpv3-d16
REQUIRED_CXX_FLAGS += -fno-strict-aliasing -fno-optimize-sibling-calls
REQUIRED_CXX_FLAGS += $(CFLAGS_EGL)
REQUIRED_CXX_FLAGS += -DLINUX
REQUIRED_CXX_FLAGS += \
	-I$(VIVANTE_PATH_INCLUDE) \
	-I$(TARGET_PATH_INCLUDE) \
	-I$(COMMON_DIR)/inc

  
all: $(TARGET)

# $@ for the pattern-matched target
$(TARGET): $(OBJECTS)
	$(AR) Urcu $@ $(OBJECTS)
	$(RANLIB) $@

# Simple rule used for "cleaning" the build environment.
clean:
	@-rm -f $(OBJECTS)
	@-rm -f $(OBJECTS_DEPS)
	@-rm -f $(TARGET)
	@-rm -f gmon.out

install: all
	@echo ok
  
# Pattern Rule
# $@ for the pattern-matched target
# $< for the pattern-matched dependency
$(OBJ_PATH)/%.o : %.cpp
	@mkdir -p $(@D)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) -o $@ -c $<

# All this is apparently needed for proper Autodependencies with GNU make
$(OBJ_PATH)/%.d: %.cpp
	@mkdir -p $(@D)
	@rm -f $@;
	@$(CXX) -M $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) $< > $@
	@mv -f $@ $@.tmp
	@sed -e 's|.*:|$(@D)/$(*F).o:|' < $@.tmp > $@
	@sed -e 's/.*://' -e 's/\\$$//' < $@.tmp | fmt -1 | sed -e 's/^ *//' -e 's/$$/:/' >> $@
	@rm -f $@.tmp
	
# pull in dependency info for *existing* .o files
-include $(OBJECTS_DEPS)
	
.PHONY : all clean

=== DemoFramework/FslDemoAppVG/Makefile ===
# AUTOGENERATED by FslBuildGen 
# Any manual changes to it will be lost if its regenerated.
#
# Please modify the 'Fsl.gen' file instead
#
# You may define standard make variables such as CFLAGS or
# CXXFLAGS to affect the build. For example, you could use:
#
#      make CXXFLAGS=-g
#
# to build with debug information. The full list of variables
# that can be used by this makefile is:
# AR, CC, CFLAGS, CPPFLAGS, CXX, CXXFLAGS, LD, LDFLAGS, MAKE, RANLIB.

# You may also specify config=Debug|Release
# or their corresponding lower case variants on make command line to select
# the corresponding default flags values.

TARGET_NAME=libFslDemoAppVG

SOURCES=\
  source/FslDemoAppVG/DemoAppVG.cpp \
  source/FslDemoAppVG/Setup/RegisterDemoAppVG.cpp 

INCLUDE_DIRS=\
  include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslBase/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoApp/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHost/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHostEGL/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoPlatform/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphics/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphicsEGL/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphicsVG/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeGraphicsVG/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeWindow/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/gli/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/glm/include

CPP_DEFINE_FLAG_NAMES=\
  FSL_FEATURE_GLI \
  GLM_FORCE_DEPTH_ZERO_TO_ONE \
  GLM_FORCE_RADIANS \
  FSL_ENABLE_GRAPHICS_OPENVG

# Stuff below is basically the same for all builds

SHELL = /bin/sh

CC  ?= $(CROSS_COMPILE)gcc
AR  ?= $(CROSS_COMPILE)ar
CXX ?= $(CROSS_COMPILE)g++

# Default to a release build
config ?= Release
 
ifeq ($(config),debug)
override config := Debug
endif
ifeq ($(config),release)
override config := Release
endif
ifeq ($(config),Debug)
TARGET_POSTFIX=_d
CPPFLAGS += $(CPPFLAGS_EXT) -DDEBUG -D_DEBUG
CFLAGS   += $(CFLAGS_EXT) -g -O0
CXXFLAGS += $(CXXFLAGS_EXT) -g -O0
LDFLAGS  += $(LDFLAGS_EXT) -g
else ifeq ($(config),Release)
TARGET_POSTFIX=
CPPFLAGS += $(CPPFLAGS_EXT) -DNDEBUG
CFLAGS   += $(CFLAGS_EXT) -O3
CXXFLAGS += $(CXXFLAGS_EXT) -O3
LDFLAGS  += $(LDFLAGS_EXT)
else ifneq (,$(config))
$(warning Unknown configuration "$(config)")
endif
# Use "make RANLIB=''" for platforms without ranlib.
RANLIB ?= ranlib

ifeq ($(WindowSystem),FB)
CPP_DEFINE_FLAG_NAMES+=\
  FSL_WINDOWSYSTEM_FRAMEBUFFER \
  EGL_API_FB

else ifeq ($(WindowSystem),Wayland)
CPP_DEFINE_FLAG_NAMES+=\
  FSL_WINDOWSYSTEM_WAYLAND \
  EGL_API_WL \
  EGL_API_FB

else ifeq ($(WindowSystem),X11)
CPP_DEFINE_FLAG_NAMES+=\
  FSL_WINDOWSYSTEM_X11 \
  EGL_USE_X11

else
$(error Variant WindowSystem not configured expected one of these FB, Wayland, X11)
endif


VIVANTE_PATH_INCLUDE = $(SYSROOT)/usr/include/vivante
TARGET_PATH_INCLUDE  = $(SYSROOT)/usr/include

OBJ_PATH=build/Yocto/obj_$(WindowSystem)/$(config)

TARGET=$(OBJ_PATH)/$(TARGET_NAME)$(TARGET_POSTFIX).a
OBJECTS = $(patsubst %.cpp,$(OBJ_PATH)/%.o,$(SOURCES)) 
OBJECTS_DEPS = $(OBJECTS:.o=.d)
INCLUDE_DIR_PARAMS=$(foreach d,$(INCLUDE_DIRS),-I$d)
CPP_DEFINE_FLAG_PARAMS=$(foreach d,$(CPP_DEFINE_FLAG_NAMES),-D$d)

REQUIRED_CXX_FLAGS = -Wall -Wtype-limits -Wuninitialized -fPIC -DPIC -std=c++11 -g $(CPP_DEFINE_FLAG_PARAMS) -pthread -DFSL_PLATFORM_UBUNTU
#REQUIRED_CXX_FLAGS += -mfpu=vfpv3-d16
REQUIRED_CXX_FLAGS += -fno-strict-aliasing -fno-optimize-sibling-calls
REQUIRED_CXX_FLAGS += $(CFLAGS_EGL)
REQUIRED_CXX_FLAGS += -DLINUX
REQUIRED_CXX_FLAGS += \
	-I$(VIVANTE_PATH_INCLUDE) \
	-I$(TARGET_PATH_INCLUDE) \
	-I$(COMMON_DIR)/inc

  
all: $(TARGET)

# $@ for the pattern-matched target
$(TARGET): $(OBJECTS)
	$(AR) Urcu $@ $(OBJECTS)
	$(RANLIB) $@

# Simple rule used for "cleaning" the build environment.
clean:
	@-rm -f $(OBJECTS)
	@-rm -f $(OBJECTS_DEPS)
	@-rm -f $(TARGET)
	@-rm -f gmon.out

install: all
	@echo ok
  
# Pattern Rule
# $@ for the pattern-matched target
# $< for the pattern-matched dependency
$(OBJ_PATH)/%.o : %.cpp
	@mkdir -p $(@D)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) -o $@ -c $<

# All this is apparently needed for proper Autodependencies with GNU make
$(OBJ_PATH)/%.d: %.cpp
	@mkdir -p $(@D)
	@rm -f $@;
	@$(CXX) -M $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) $< > $@
	@mv -f $@ $@.tmp
	@sed -e 's|.*:|$(@D)/$(*F).o:|' < $@.tmp > $@
	@sed -e 's/.*://' -e 's/\\$$//' < $@.tmp | fmt -1 | sed -e 's/^ *//' -e 's/$$/:/' >> $@
	@rm -f $@.tmp
	
# pull in dependency info for *existing* .o files
-include $(OBJECTS_DEPS)
	
.PHONY : all clean

=== DemoFramework/FslDemoAppVulkan/Makefile ===
# AUTOGENERATED by FslBuildGen 
# Any manual changes to it will be lost if its regenerated.
#
# Please modify the 'Fsl.gen' file instead
#
# You may define standard make variables such as CFLAGS or
# CXXFLAGS to affect the build. For example, you could use:
#
#      make CXXFLAGS=-g
#
# to build with debug information. The full list of variables
# that can be used by this makefile is:
# AR, CC, CFLAGS, CPPFLAGS, CXX, CXXFLAGS, LD, LDFLAGS, MAKE, RANLIB.

# You may also specify config=Debug|Release
# or their corresponding lower case variants on make command line to select
# the corresponding default flags values.

TARGET_NAME=libFslDemoAppVulkan

SOURCES=\
  source/FslDemoAppVulkan/DemoAppVulkan.cpp \
  source/FslDemoAppVulkan/Setup/RegisterDemoAppVulkan.cpp 

INCLUDE_DIRS=\
  include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslBase/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoApp/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHost/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoHostVulkan/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslDemoPlatform/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphics/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslGraphicsVulkan1_0/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeGraphicsVulkan/include \
  $(FSL_GRAPHICS_SDK)/DemoFramework/FslNativeWindow/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/gli/include \
  $(FSL_GRAPHICS_SDK)/ThirdParty/glm/include

CPP_DEFINE_FLAG_NAMES=\
  FSL_FEATURE_GLI \
  GLM_FORCE_DEPTH_ZERO_TO_ONE \
  GLM_FORCE_RADIANS \
  FSL_FEATURE_VULKAN1_0

# Stuff below is basically the same for all builds

SHELL = /bin/sh

CC  ?= $(CROSS_COMPILE)gcc
AR  ?= $(CROSS_COMPILE)ar
CXX ?= $(CROSS_COMPILE)g++

# Default to a release build
config ?= Release
 
ifeq ($(config),debug)
override config := Debug
endif
ifeq ($(config),release)
override config := Release
endif
ifeq ($(config),Debug)
TARGET_POSTFIX=_d
CPPFLAGS += $(CPPFLAGS_EXT) -DDEBUG -D_DEBUG
CFLAGS   += $(CFLAGS_EXT) -g -O0
CXXFLAGS += $(CXXFLAGS_EXT) -g -O0
LDFLAGS  += $(LDFLAGS_EXT) -g
else ifeq ($(config),Release)
TARGET_POSTFIX=
CPPFLAGS += $(CPPFLAGS_EXT) -DNDEBUG
CFLAGS   += $(CFLAGS_EXT) -O3
CXXFLAGS += $(CXXFLAGS_EXT) -O3
LDFLAGS  += $(LDFLAGS_EXT)
else ifneq (,$(config))
$(warning Unknown configuration "$(config)")
endif
# Use "make RANLIB=''" for platforms without ranlib.
RANLIB ?= ranlib

ifeq ($(WindowSystem),FB)
CPP_DEFINE_FLAG_NAMES+=\
  FSL_WINDOWSYSTEM_FRAMEBUFFER

else ifeq ($(WindowSystem),Wayland)
CPP_DEFINE_FLAG_NAMES+=\
  FSL_WINDOWSYSTEM_WAYLAND

else ifeq ($(WindowSystem),X11)
CPP_DEFINE_FLAG_NAMES+=\
  FSL_WINDOWSYSTEM_X11

else
$(error Variant WindowSystem not configured expected one of these FB, Wayland, X11)
endif


VIVANTE_PATH_INCLUDE = $(SYSROOT)/usr/include/vivante
TARGET_PATH_INCLUDE  = $(SYSROOT)/usr/include

OBJ_PATH=build/Yocto/obj_$(WindowSystem)/$(config)

TARGET=$(OBJ_PATH)/$(TARGET_NAME)$(TARGET_POSTFIX).a
OBJECTS = $(patsubst %.cpp,$(OBJ_PATH)/%.o,$(SOURCES)) 
OBJECTS_DEPS = $(OBJECTS:.o=.d)
INCLUDE_DIR_PARAMS=$(foreach d,$(INCLUDE_DIRS),-I$d)
CPP_DEFINE_FLAG_PARAMS=$(foreach d,$(CPP_DEFINE_FLAG_NAMES),-D$d)

REQUIRED_CXX_FLAGS = -Wall -Wtype-limits -Wuninitialized -fPIC -DPIC -std=c++11 -g $(CPP_DEFINE_FLAG_PARAMS) -pthread -DFSL_PLATFORM_UBUNTU
#REQUIRED_CXX_FLAGS += -mfpu=vfpv3-d16
REQUIRED_CXX_FLAGS += -fno-strict-aliasing -fno-optimize-sibling-calls
REQUIRED_CXX_FLAGS += $(CFLAGS_EGL)
REQUIRED_CXX_FLAGS += -DLINUX
REQUIRED_CXX_FLAGS += \
	-I$(VIVANTE_PATH_INCLUDE) \
	-I$(TARGET_PATH_INCLUDE) \
	-I$(COMMON_DIR)/inc

  
all: $(TARGET)

# $@ for the pattern-matched target
$(TARGET): $(OBJECTS)
	$(AR) Urcu $@ $(OBJECTS)
	$(RANLIB) $@

# Simple rule used for "cleaning" the build environment.
clean:
	@-rm -f $(OBJECTS)
	@-rm -f $(OBJECTS_DEPS)
	@-rm -f $(TARGET)
	@-rm -f gmon.out

install: all
	@echo ok
  
# Pattern Rule
# $@ for the pattern-matched target
# $< for the pattern-matched dependency
$(OBJ_PATH)/%.o : %.cpp
	@mkdir -p $(@D)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) -o $@ -c $<

# All this is apparently needed for proper Autodependencies with GNU make
$(OBJ_PATH)/%.d: %.cpp
	@mkdir -p $(@D)
	@rm -f $@;
	@$(CXX) -M $(CPPFLAGS) $(CXXFLAGS) $(REQUIRED_CXX_FLAGS) $(INCLUDE_DIR_PARAMS) $< > $@
	@mv -f $@ $@.tmp
	@sed -e 's|.*:|$(@D)/$(*F).o:|' < $@.tmp > $@
	@sed -e 's/.*://' -e 's/\\$$//' < $@.tmp | fmt -1 | sed -e 's/^ *//' -e 's/$$/:/' >> $@
	@rm -f $@.tmp
	
# pull in dependency info for *existing* .o files
-include $(OBJECTS_DEPS)
	
.PHONY : all clean

=== debian/changelog ===
imx-gpu-sdk-b16-wl (4.0.2-1) bionic; urgency=medium

  * Initial Boundary package
  * This release is based on

 -- Laci Tele <laci@boundarydevices.com>  Mon, 10 Jun 2019 10:42:26 -0500

=== debian/control ===
Source: imx-gpu-sdk-b16-wl
Section: restricted/libs
Priority: extra
Maintainer: Laci Tele <laci@boundarydevices.com>
Build-Depends: debhelper (>= 8), execstack, findutils (>= 4.2.28), autotools-dev,
  autoconf, automake, libtool, libpng16-16, dh-python, libdevil-dev
Standards-Version: 3.9.3


Package: imx-gpu-sdk-b16-wl
Section: restricted/libdevel
Architecture: arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Conflicts: imx-gpu-sdk-b16-x11, imx-gpu-sdk-b16-fb
Replaces:  imx-gpu-sdk-b16-x11, imx-gpu-sdk-b16-fb
Description: GPU driver libraries for imx6, for Wayland backend

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL = /bin/bash

PF = -b16

SDK_VIV  = imx-gpu-sdk
SRCDIR   = $(CURDIR)
DESTDIR  = $(CURDIR)/install
AARCH64  = aarch64-linux-gnu

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


%:
	dh $@ --with python2


# Default to a release build
config = Release


ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
#
export CC=$(DEB_HOST_MULTIARCH)-gcc
export CXX=$(DEB_HOST_MULTIARCH)-g++
export AR=$(DEB_HOST_MULTIARCH)-ar
SYSROOT = /wssd/sysroots/bionic-wl/arm64
else
#
export CC=/usr/lib/distcc/bin/gcc-7
export CXX=/usr/lib/distcc/bin/g++-7
export AR=ar
#
endif

override_dh_auto_build:
ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
	@sudo apt-get -y install imx-wl-default$(PF)
	@$(MAKE) -C "$(SRCDIR)" all
else
	@( SYSROOT="$(SYSROOT)" $(MAKE) -C "$(SRCDIR)" all )
endif


override_dh_auto_install:
	@( DESTDIR="$(DESTDIR)" $(MAKE) -C "$(SRCDIR)" install )


override_dh_builddeb:
	dh_builddeb -- -Zxz --compress-program=pixz
#	dh_builddeb -- -Zxz


override_dh_shlibdeps:
	#
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
	(cd debian && cat shlibs-comm  > shlibs.local && cat shlibs-wl >> shlibs.local)
endif
	dh_shlibdeps -l$(SYSROOT)/usr/lib/$(AARCH64)/vivante:$(SYSROOT)/usr/lib/$(AARCH64):$(SYSROOT)/lib/$(AARCH64):$(SYSROOT)/usr/lib -- --warnings=0
